<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeSqlsvrCollation extends Migration
{
    public $withinTransaction = false;
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (config('database.default') == 'sqlsrv') {
            $requestIndex = DB::select(DB::raw("sp_pkeys @table_name='HS_Request'"))[0]->PK_NAME;
            $historyIndex = DB::select(DB::raw("sp_pkeys @table_name='HS_Request_History'"))[0]->PK_NAME;
            $fullTextCatalog = DB::select(
                DB::raw(
                    "SELECT 
                    c.name AS FTCatalogName 
                    FROM 
                        sys.objects t 
                    INNER JOIN 
                        sys.fulltext_indexes fi 
                    ON 
                        t.[object_id] = fi.[object_id] 
                    INNER JOIN 
                        sys.fulltext_index_columns ic
                    ON 
                        ic.[object_id] = t.[object_id]
                    INNER JOIN
                        sys.columns cl
                    ON 
                            ic.column_id = cl.column_id
                        AND ic.[object_id] = cl.[object_id]
                    INNER JOIN 
                        sys.fulltext_catalogs c 
                    ON 
                        fi.fulltext_catalog_id = c.fulltext_catalog_id
                    INNER JOIN 
                        sys.indexes i
                    ON 
                            fi.unique_index_id = i.index_id
                        AND fi.[object_id] = i.[object_id]
                    where i.name = '".$historyIndex."'"
                )
            )[0]->FTCatalogName;

            DB::statement('DROP FULLTEXT INDEX ON HS_Request');
            DB::statement('DROP FULLTEXT INDEX ON HS_Request_History');

            DB::statement('ALTER TABLE dbo.HS_Request ALTER COLUMN sTitle nvarchar(255) COLLATE Latin1_General_100_CI_AI_SC');
            DB::statement('ALTER TABLE dbo.HS_Request_History ALTER COLUMN tNote nvarchar(max) COLLATE Latin1_General_100_CI_AI_SC');

            DB::statement('CREATE FULLTEXT INDEX ON HS_Request(sTitle) KEY INDEX '.$requestIndex.' ON '.$fullTextCatalog.' WITH CHANGE_TRACKING AUTO;');
            DB::statement('CREATE FULLTEXT INDEX ON HS_Request_History(tNote) KEY INDEX '.$historyIndex.' ON '.$fullTextCatalog.' WITH CHANGE_TRACKING AUTO;');
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}