<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class PopulateAiPrompts extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::table('HS_Prompts')->delete();

        $prompt = [
            ["role" => "system", "content" => "You are a helpful customer support assistant that uses polite, informal language. You try to preserve any html formatting and links."],
            ["role" => "user", "content" => 'The customers name is: {{ first.name }}. Rewrite as if you were responding to an customer.  ---
            {{ input.text }} --- Include a greeting. Add a closing asking them to follow up as needed and signing off with the name {{ staff.first.name }}. Don\'t add any new information that isn\'t in the original message.']];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Into a complete reply', 'fKBAvailable' => 0,'fRequestAvailable' => 1, 'sPromptFolder' => 'Expand']);

        $prompt = [
            ["role" => "system", "content" => "You are a knowledge base technical writer"],
            ["role" => "user", "content" => 'Rewrite with as KB article: {{ input.text }}' ]];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Into an article', 'fKBAvailable' => 1,'fRequestAvailable' => 0, 'sPromptFolder' => 'Expand']);

        $prompt = [
            ["role" => "system", "content" => "You are a knowledge base technical writer. Preserve existing html formatting"],
            ["role" => "user", "content" => 'Write a tutorial on how to {{ input.text }}' ]];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Into a tutorial', 'fKBAvailable' => 1,'fRequestAvailable' => 1, 'sPromptFolder' => 'Expand']);

        $prompt = [
            ["role" => "system", "content" => "You are a professional customer service representative. Preserve existing html formatting."],
            ["role" => "user", "content" => 'Please revise and improve the following text, focusing on grammar, style, clarity, aiming for an 8th grade reading level: {{ input.text }}' ]];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Improve Writing', 'fKBAvailable' => 1,'fRequestAvailable' => 1, 'sPromptFolder' => 'Copy Edit']);


        $prompt = [
            ["role" => "system", "content" => "You are a spelling and grammar checker"],
            ["role" => "user", "content" => 'Fix the spelling and grammar of this text. Preserve existing html formatting: {{ input.text }}' ]];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Spelling and Grammar', 'fKBAvailable' => 1,'fRequestAvailable' => 1, 'sPromptFolder' => 'Copy Edit']);

        $prompt = [
            ["role" => "system", "content" => "You are a professional customer service representative."],
            ["role" => "user", "content" => 'Copy edit this text to make it shorter and improve clarity: {{ input.text }}' ]];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Make shorter', 'fKBAvailable' => 1,'fRequestAvailable' => 1, 'sPromptFolder' => 'Copy Edit']);


        $prompt = [
            ["role" => "system", "content" => "You are a professional customer service representative. Preserve existing html formatting"],
            ["role" => "user", "content" => 'Reframe this text in a apologetic tone: {{ input.text }} ']];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Apologetic', 'fKBAvailable' => 1,'fRequestAvailable' => 1, 'sPromptFolder' => 'Tone']);

        $prompt = [
            ["role" => "system", "content" => "You are a professional customer service representative. Preserve existing html formatting"],
            ["role" => "user", "content" => 'Reframe this text in a positive tone: {{ input.text }}']];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Positive', 'fKBAvailable' => 1,'fRequestAvailable' => 1, 'sPromptFolder' => 'Tone']);

        $prompt = [
            ["role" => "system", "content" => "You are a professional customer service representative. Preserve existing html formatting"],
            ["role" => "user", "content" => 'Rewrite this text in a less formal tone: {{ input.text }}' ]];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Casual', 'fKBAvailable' => 1,'fRequestAvailable' => 1, 'sPromptFolder' => 'Tone']);

        $prompt = [
            ["role" => "system", "content" => "You are a professional customer service representative. Preserve existing html formatting"],
            ["role" => "user", "content" => 'Rewrite this text in a more formal tone {{ input.text }}' ]];
        $prompt = serialize($prompt);
        DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Formal', 'fKBAvailable' => 1,'fRequestAvailable' => 1, 'sPromptFolder' => 'Tone']);

        foreach(['French', 'German', 'English', 'Spanish', 'Dutch', 'Mandarin', 'Japanese', 'Hindi', 'Standard Arabic'] as $language) {
            $prompt = [
                ["role" => "system", "content" => ""],
                ["role" => "user", "content" => 'Translate this text into '.$language.': {{ input.text }}']];
            $prompt = serialize($prompt);
            DB::table('HS_Prompts')->insert(['sPrompt' => $prompt, 'sPromptName' => 'Into '.$language, 'fKBAvailable' => 1, 'fRequestAvailable' => 1, 'sPromptFolder' => 'Translate']);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
