<?php

// SECURITY: Don't allow direct calls
if (! defined('cBASEPATH')) {
    die();
}

//protect to only admins
if (! isAdmin()) {
    die();
}

/*****************************************
LIBS
*****************************************/

/*****************************************
JAVASCRIPT
*****************************************/
$headscript = '';

/*****************************************
VARIABLE DECLARATIONS
*****************************************/
$basepgurl = cHOST.'/admin?pg=admin.ai';
$pagetitle = lg('lg_admin_openai_title');
$tab = 'nav_admin';
$subtab = 'nav_admin_ai';
$error		  = '';
$openAIToken = (apiGetOpenAIKey()) ? lg('lg_admin_openai_key_value') : '';
$openAIModels = (is_array(apiGetOpenAIModels()) ? apiGetOpenAIModels() : ['gpt-3.5-turbo']);
$openAIEnabled = hs_setting('cHD_OPENAI_ENABLED');
$openAILanguage = (is_null(hs_setting('cHD_OPENAI_LANGUAGE'))) ? "English" : hs_setting('cHD_OPENAI_LANGUAGE') ;
$fm['cHD_OPENAI_ENABLED'] = isset($_POST['cHD_OPENAI_ENABLED']) ? $_POST['cHD_OPENAI_ENABLED'] : 0;


$fb = (session('feedback'))
    ?  displayFeedbackBox(session('feedback'), '100%')
    : '';

$efb = (session('error'))
    ?  errorBox(session('error'))
    : '';
$languages = array(
    'Abkhazian',
    'Afar',
    'Afrikaans',
    'Akan',
    'Albanian',
    'Amharic',
    'Arabic',
    'Aragonese',
    'Armenian',
    'Assamese',
    'Avaric',
    'Avestan',
    'Aymara',
    'Azerbaijani',
    'Bambara',
    'Bashkir',
    'Basque',
    'Belarusian',
    'Bengali',
    'Bihari languages',
    'Bislama',
    'Bosnian',
    'Breton',
    'Bulgarian',
    'Burmese',
    'Catalan',
    'Chamorro',
    'Chechen',
    'Chichewa',
    'Chinese',
    'Chuvash',
    'Cornish',
    'Corsican',
    'Cree',
    'Croatian',
    'Czech',
    'Danish',
    'Divehi',
    'Dutch',
    'Dzongkha',
    'English',
    'Esperanto',
    'Estonian',
    'Ewe',
    'Faroese',
    'Fijian',
    'Finnish',
    'French',
    'Fulah',
    'Galician',
    'Ganda',
    'Georgian',
    'German',
    'Greek, Modern (1453-)',
    'Guarani',
    'Gujarati',
    'Haitian',
    'Hausa',
    'Hebrew',
    'Herero',
    'Hindi',
    'Hiri Motu',
    'Hungarian',
    'Icelandic',
    'Ido',
    'Igbo',
    'Indonesian',
    'Interlingue',
    'Inuktitut',
    'Inupiaq',
    'Irish',
    'Italian',
    'Japanese',
    'Javanese',
    'Kalaallisut',
    'Kannada',
    'Kanuri',
    'Kashmiri',
    'Kazakh',
    'Kikuyu',
    'Kinyarwanda',
    'Kirghiz',
    'Komi',
    'Kongo',
    'Korean',
    'Kuanyama',
    'Kurdish',
    'Lao',
    'Latin',
    'Latvian',
    'Limburgan',
    'Lingala',
    'Lithuanian',
    'Luba-Katanga',
    'Luxembourgish',
    'Macedonian',
    'Malagasy',
    'Malay',
    'Malayalam',
    'Maltese',
    'Manx',
    'Maori',
    'Marathi',
    'Marshallese',
    'Moldavian',
    'Mongolian',
    'Nauru',
    'Navajo',
    'Ndebele',
    'Ndonga',
    'Nepali',
    'Northern Sami',
    'Norwegian',
    'Norwegian Bokmål',
    'Norwegian Nynorsk',
    'Nuosu; Sichuan Yi',
    'Occitan (post 1500)',
    'Ojibwa',
    'Oriya',
    'Oromo',
    'Ossetian',
    'Pali',
    'Panjabi; Punjabi',
    'Persian',
    'Polish',
    'Portuguese',
    'Pushto',
    'Quechua',
    'Romanian',
    'Romansh',
    'Rundi',
    'Russian',
    'Samoan',
    'Sango',
    'Sanskrit',
    'Sardinian',
    'Scottish Gaelic',
    'Serbian',
    'Serbo-Croatian',
    'Shona',
    'Sichuan Yi',
    'Sindhi',
    'Sinhala',
    'Slovak',
    'Slovenian',
    'Somali',
    'Sotho',
    'South Ndebele',
    'Spanish',
    'Sundanese',
    'Swahili',
    'Swati',
    'Swedish',
    'Tagalog',
    'Tahitian',
    'Tajik',
    'Tamil',
    'Tatar',
    'Telugu',
    'Thai',
    'Tibetan',
    'Tigrinya',
    'Tonga (Tonga Islands)',
    'Tsonga',
    'Tswana',
    'Turkish',
    'Turkmen',
    'Twi',
    'Uighur',
    'Ukrainian',
    'Urdu',
    'Uzbek',
    'Venda',
    'Vietnamese',
    'Volapük',
    'Walloon',
    'Welsh',
    'Western Frisian',
    'Wolof',
    'Xhosa',
    'Yiddish',
    'Yoruba',
    'Zhuang',
    'Zulu'
    );

/*****************************************
ACTIONS
*****************************************/
if( isset($_POST['action']) ) {
    if( $_POST['action'] == 'openai' ) {
        
        if($_POST['cHD_OPENAI_ENABLED'] == '1' && $_POST['cHD_OPENAI_KEY'] == '' && $openAIToken == '') {
            return redirect()->route('admin', [
                'pg' => 'admin.ai',
            ])->with('error', 'OpenAI API Key Required To Enable HelpSpot AI');
        } elseif ($_POST['cHD_OPENAI_KEY'] != '') {
            $apiTest = apiTestOpenAIKey($_POST['cHD_OPENAI_KEY']);
            if ($apiTest == "success") {
                apiSetOpenAIKey($_POST['cHD_OPENAI_KEY']);
            } else
                return redirect()->route('admin', [
                    'pg' => 'admin.ai',
                ])->with('error', $apiTest);
            }
        } 
        apiSetOpenAIEnabled($_POST['cHD_OPENAI_ENABLED']);
        apiSetOpenAILanguage($_POST['cHD_OPENAI_LANGUAGE']);
        apiSetOpenAIModel($_POST['cHD_OPENAI_MODEL']);
        return redirect()->route('admin', [
            'pg' => 'admin.ai',
        ])->with('feedback', 'OpenAI Settings Updated');
}

/*****************************************
JAVASCRIPT
*****************************************/
$headscript = '';

/*****************************************
PAGE OUTPUTS
*****************************************/
foreach($openAIModels as $model) {
    $modelSelectList .= '<option value='.$model.' '.selectionCheck(hs_setting('cHD_OPENAI_MODEL', ''), $model).'>'.$model.'</option>';
}
foreach($languages as $language) {
    $languageSelectList .= '<option value='.$language.' '.selectionCheck($openAILanguage, $language).'>'.$language.'</option>';
}

$pagebody .= '<span id="flash_feedback">'.$efb.$fb.'</span>'; //feedback if any
$pagebody .= '
<form action="'.$basepgurl.'" method="POST">
    '.csrf_field(). '
    <div class="card padded">    '.renderPageheader(lg('lg_admin_openai_header')).'
    '.lg('lg_admin_openai_intro').'
        <div class="hr"></div>
              <div class="fr">
			    <div class="label">
                    <label class="datalabel" for="cHD_OPENAI_KEY">'.lg('lg_admin_openai_label_api_key').'</label>
                    <div class=info tdcheckdesc>'.lg('lg_admin_openai_label_api_key_info').'</div>
                </div>
                <div class="control">
                    <input type="text" name="cHD_OPENAI_KEY" id="cHD_OPENAI_KEY" rows="10" cols="60" '.$openAIToken.'>
                </div>
            </div>
            <div class="hr"></div>
            <div class="fr">
              <div class="label">
                  <label class="datalabel" for="cHD_OPENAI_ENABLED">'.lg('lg_admin_openai_label_enabled').'</label>
              </div>
              <div class="control">
                  <input type="checkbox" name="cHD_OPENAI_ENABLED" id="cHD_OPENAI_ENABLED" rows="10" cols="60" value=1 '.checkboxCheck(1, $openAIEnabled).'>
              </div>
          </div>
            <div class="hr"></div>
            <div class="fr">
			    <div class="label">
                    <label class="datalabel" for="cHD_OPENAI_MODEL">'.lg('lg_admin_openai_label_api_model').'</label>
                </div>
                <div class="control">
                    <select name="cHD_OPENAI_MODEL" id="cHD_OPENAI_MODEL">
                    '.$modelSelectList.'
                    </select>
                </div>
            </div>
            <div class="hr"></div>
                <div class="fr">
                    <div class="label">
                        <label class="datalabel" for="cHD_OPENAI_LANGUAGE">'.lg('lg_admin_openai_label_api_language').'</label>
                    </div>
                <div class="control">
                    <select name="cHD_OPENAI_LANGUAGE" id="cHD_OPENAI_LANGUAGE">
                        '.$languageSelectList.'
                    </select>
                </div>
            </div>
            <div class="hr"></div>
            <div class="button-bar space">
                <button class="btn accent">'.lg('lg_admin_openai_connect').'</button>
                <a href="https://openai.com" class="btn" target="_blank">'.lg('lg_admin_openai_learn_about').'</a>
            </div>
    </div>
<input type="hidden" name="action" value="openai" />
</form>
';
?>
