<?php

// SECURITY: Don't allow direct calls
if (! defined('cBASEPATH')) {
    die();
}

//protect to only admins
if (! isAdmin()) {
    die();
}

/*****************************************
LIBS
*****************************************/

/*****************************************
JAVASCRIPT
*****************************************/
$headscript = '';

/*****************************************
VARIABLE DECLARATIONS
*****************************************/
$basepgurl = route('admin', ['pg' => 'admin.prompts']);
$pagetitle = lg('lg_admin_ai_title');
$tab = 'nav_admin';
$subtab = 'nav_admin_ai';
$sortby = isset($_GET['sortby']) ? $_GET['sortby'] : 'sPromptFolder';
$sortord = isset($_GET['sortord']) ? $_GET['sortord'] : 'ASC';
$action = isset($_GET['action']) ? $_GET['action'] : '';
$resourceid = isset($_GET['resourceid']) && is_numeric($_GET['resourceid']) ? $_GET['resourceid'] : 0;
$showdeleted = isset($_GET['showdeleted']) ? $_GET['showdeleted'] : 0;

$fb = (session('feedback'))
    ?  displayFeedbackBox(session('feedback'), '100%')
    : '';

$feedbackArea = '';
$dellable = $showdeleted == 1 ? lg('lg_inactive') : '';
$datatable = '';
$headscript = '';
$delbutton = '';

$fm['sPromptName'] = isset($_POST['sPromptName']) ? $_POST['sPromptName'] : '';
$fm['sPromptFolder'] = isset($_POST['sPromptFolder']) ? $_POST['sPromptFolder'] : '';
$fm['sPromptSystem'] = isset($_POST['sPromptSystem']) ? $_POST['sPromptSystem'] : '';
$fm['sPromptUser'] = isset($_POST['sPromptUser']) ? $_POST['sPromptUser'] : '';
$fm['fRequestAvailable'] = isset($_POST['fRequestAvailable']) ? $_POST['fRequestAvailable'] : '';
$fm['fKBAvailable'] = isset($_POST['fKBAvailable']) ? $_POST['fKBAvailable'] : '';

/*****************************************
PERFORM ACTIONS
*****************************************/
if ($action == 'add' || $action == 'edit') {
    $formerrors = [];

    // add these two items to fm array then pass entire thing in to be processed
    $fm['resourceid'] = $resourceid;
    $fm['mode'] = $action;

    $fm['sPrompt'] = serialize([['role'=>'system','content'=>$fm['sPromptSystem']],['role'=>'system','content'=>$fm['sPromptUser']]]);

    if (hs_empty($fm['sPromptName'])) {
        $formerrors['sPromptName'] = lg('lg_admin_prompt_name_er_ai');
    }
    if (hs_empty($fm['sPromptSystem'])) {
        $formerrors['sPromptSystem'] = lg('lg_admin_prompt_system_er_ai');
    }
    if (hs_empty($fm['sPromptUser'])) {
        $formerrors['sPromptUser'] = lg('lg_admin_prompt_user_er_ai');
    }

    if ($action == 'add' && empty($formerrors)) {

        $res = $GLOBALS['DB']->Execute('INSERT INTO HS_Prompts(sPromptName,sPromptFolder,sPrompt,fRequestAvailable,fKBAvailable) VALUES (?,?,?,?,?)', [$fm['sPromptName'],$fm['sPromptFolder'], $fm['sPrompt'],$fm['fRequestAvailable'],$fm['fKBAvailable']]);
    } elseif ($action == 'edit' && empty($formerrors)) {
        $res = $GLOBALS['DB']->Execute('UPDATE HS_Prompts SET sPromptName=?, sPromptFolder=?, sPrompt=?, fRequestAvailable=?, fKBAvailable=? WHERE xPrompt = ?',
        [$fm['sPromptName'],$fm['sPromptFolder'],$fm['sPrompt'],$fm['fRequestAvailable'],$fm['fKBAvailable'], $resourceid]);
    }

    // if it's an array of errors than skip else continue
    if (empty($formerrors)) {
        $feedback = !empty($resourceid) ? lg('lg_admin_ai_fbedited') : lg('lg_admin_ai_fbadded');
        return redirect()
            ->route('admin', ['pg' => 'admin.prompts'])
            ->with('feedback', $feedback);
    } else {
        if (empty($formerrors['errorBoxText'])) {
            $formerrors['errorBoxText'] = lg('lg_errorbox');
        }
        setErrors($formerrors);
    }
}

if ($action == 'delete' || $action == 'undelete') {
    if (empty($formerrors)) {
        $feedback = $action == 'delete' ? lg('lg_admin_prompt_fbdeleted') : lg('lg_admin_prompt_fbundeleted');
        $delCat = apiDeleteResource('HS_Prompts', 'xPrompt', $resourceid, $action);

        // Redirect Back
        return redirect()
            ->route('admin', ['pg' => 'admin.prompts'])
            ->with('feedback', $feedback);
    }
}

/*****************************************
SETUP VARIABLES AND DATA FOR PAGE
*****************************************/
if (! empty($resourceid)) {
    $fm = $GLOBALS['DB']->GetRow('SELECT * FROM HS_Prompts WHERE xPrompt = ?', [$resourceid]);
    $formaction = 'edit';
    $title = lg('lg_admin_ai_edit_prompt').$fm['sPromptName'];
    $button = lg('lg_admin_ai_editbutton');
    $fm['sPromptSystem'] = unserialize($fm['sPrompt'])[0]['content'];
    $fm['sPromptUser'] = unserialize($fm['sPrompt'])[1]['content'];
} elseif ($action == '' || ! empty($formerrors)) {
    //get all the the prompts
    $records = apiGetAllPrompts('all',$showdeleted,$sortby,$sortord);
    $data = new array2recordset;
    $data->init($records->toArray());
    $formaction = 'add';
    $title = lg('lg_admin_ai_add_prompt');
    $button = lg('lg_admin_ai_addbutton');
    if (! $showdeleted) {
        $showdellink = '<a href="'.$basepgurl.'&showdeleted=1" class="">'.lg('lg_admin_ai_showdel').'</a>';
    } else {
        $showdellink = '<a href="'.$basepgurl.'" class="">'.lg('lg_admin_ai_noshowdel').'</a>';
    }

    // build data table
    $datatable = recordSetTable($data,[['type'=>'string', 'label'=>lg('lg_admin_ai_colid'), 'sort'=>0, 'width'=>'20', 'fields'=>'xPrompt'],
                                        ['type'=>'string', 'label'=>lg('lg_admin_ai_col_folder'), 'sort'=>1, 'width'=>'20', 'fields'=>'sPromptFolder', 'nowrap' => true],
                                        ['type'=>'link', 'label'=>lg('lg_admin_ai_col_name'), 'sort'=>1,
                                        'code'=>'<a href="'.$basepgurl.'&resourceid=%s&showdeleted='.$showdeleted.'">%s</a>',
                                        'fields'=>'sPromptName', 'linkfields'=>['xPrompt', 'sPromptName'], ],
                                        ['type'=>'string', 'label'=>lg('lg_admin_ai_uses'), 'sort'=>0, 'width'=>'100', 'fields'=>'iUseCount'] ],
                                        //options
                                        ['sortby'=>$sortby,
                                            'sortord'=>$sortord,
                                            'sortablefields'=>['xPrompt', 'sPromptName'],
                                            'title_right'=>$showdellink,
                                            'title'=>$pagetitle.$dellable, ], $basepgurl);
}

// If looking at a specific prompt show delete/restore option
if (! empty($resourceid) && $showdeleted == 0) {
    $delbutton = '<button type="button" class="btn altbtn" onClick="return hs_confirm(\''.lg('lg_admin_ai_coldelwarn').'\',\''.$basepgurl.'&action=delete&resourceid='.$resourceid.'\');">'.lg('lg_admin_ai_coldel').'</button>';
}
if (! empty($resourceid) && $showdeleted == 1) {
    $delbutton = '<button type="button" class="btn altbtn" onClick="return hs_confirm(\''.lg('lg_restorewarn').hs_jshtmlentities($fm['sPromptName']).'\',\''.$basepgurl.'&action=undelete&resourceid='.$resourceid.'\');">'.lg('lg_restore').'</button>';
}

//Folder list
$fs = apiGetPromptFolders();
if (is_array($fs) && ! empty($fs)) {
    foreach ($fs as $k=>$v) {
        $folderSel .= '<option value="'.$v->sPromptFolder.'" '.selectionCheck($v->sPromptFolder, hs_htmlspecialchars($fm['sPromptFolder'])).'>'.$v->sPromptFolder.'</option>';
    }
}

/*****************************************
PAGE OUTPUTS
*****************************************/
if (! empty($fb)) {
    $feedbackArea = $fb;
}
if (! empty($formerrors)) {
    $feedbackArea = errorBox($formerrors['errorBoxText']);
}

$pagebody .= '
<form action="'.$basepgurl.'&action='.$formaction.'&resourceid='.$resourceid.'" method="POST" name="promptform" onSubmit="">
	'.csrf_field().'
	'.$feedbackArea.'
	'.$datatable.'

	'. renderInnerPageheader($title);

$pagebody .= '
    <div class="card padded">
        <div class="fr">
			<div class="label">
			    <label class="datalabel req" for="sPromptName">'.lg('lg_admin_ai_col_name').'</label>
            </div>
			<div class="control">
				<input tabindex="100" name="sPromptName" id="sPromptName" type="text" size="40" value="'.formClean($fm['sPromptName']).'" class="'.errorClass('sPromptName').'">
				'.errorMessage('sPromptName'). '
			</div>
        </div>
        <div class="fr">
			<div class="label">
			    <label class="datalabel req" for="sPromptName">'.lg('lg_admin_ai_col_folder').'</label>
            </div>
            <div class="control">
                <div style="display:flex;align-items:center;">
                    <select name="sPromptFolder" id="sPromptFolder" style="flex:1;">
                    '.$folderSel.'
                    </select>
                    <a href="javascript:addFolder(\'\',\'sPromptFolder\');" class="btn inline-action" style="margin-left:10px;">'.lg('lg_admin_prompts_addfolder').'</a>
                </div>
            </div>
        </div>
        <div class="fr">
			<div class="label">
			    <label class="datalabel req" for="sPromptSystem">'.lg('lg_admin_prompt_system_message').'</label>
                <div class="info">'.lg('lg_admin_prompt_system_message_instructions').'</div>

            </div>
			<div class="control">
				<textarea tabindex="100" name="sPromptSystem" id="sPromptSystem" type="text" size="40" rows=5 value="" class="'.errorClass('sPromptSystem').'">'.$fm['sPromptSystem'].'</textarea>
				'.errorMessage('sPromptSystem'). '
			</div>
        </div>
        <div class="fr">
            <div class="label">
                <label class="datalabel req" for="sPromptUser">'.lg('lg_admin_prompt_user_message').'</label>
                <div class="info">'.lg('lg_admin_prompt_user_message_instructions').'</div>

            </div>
            <div class="control" style="flex-wrap: wrap;">
                <textarea tabindex="100" name="sPromptUser" id="sPromptUser" type="text" size="40" rows=20 value="" class="'.errorClass('sPromptUser').'">'.$fm['sPromptUser'].'</textarea>
                '.errorMessage('sPromptUser'). '
                <select id="sPromptUser_tag_select" onchange="insertAtCursor($(\'sPromptUser\'), $F(\'sPromptUser_tag_select\'));$(\'sPromptUser_tag_select\').selectedIndex=0;">
                    <option value="">'.lg('lg_insertplaceholderopt').'</option>
                    <option value="{{ input.text }}">'.lg('lg_aiplaceholders_input_text').'</option>
                    <option value="{{ first.name }}">'.lg('lg_aiplaceholders_customer_first_name').'</option>
                    <option value="{{ last.name }}">'.lg('lg_aiplaceholders_customer_last_name').'</option>
                    <option value="{{ staff.first.name }}">'.lg('lg_aiplaceholders_staff_first_name').'</option>
                    <option value="{{ staff.last.name }}">'.lg('lg_aiplaceholders_staff_last_name').'</option>
                </select>
            </div>
        </div>
        <div class="control">

        </div>

        <div class="fr">
            <div class="label tdlcheckbox">
                <label class="datalabel" for="fKBAvailable">'.lg('lg_admin_prompt_kb_available').'</label>
            </div>
            <div class="control">
                <input type="checkbox" class="checkbox" id="fKBAvailable" name="fKBAvailable" value="1" '.checkboxCheck(1, $fm['fKBAvailable']). '/>
                <label for="fKBAvailable" class="switch"></label>
            </div>
        </div>

        <div class="fr">
            <div class="label tdlcheckbox">
                <label class="datalabel" for="fRequestAvailable">'.lg('lg_admin_prompt_request_available').'</label>
            </div>
            <div class="control">
                <input type="checkbox" class="checkbox" id="fRequestAvailable" name="fRequestAvailable" value="1" '.checkboxCheck(1, $fm['fRequestAvailable']). '/>
                <label for="fRequestAvailable" class="switch"></label>
            </div>
        </div>
    </div>
    <div class="button-bar space">
        <button type="submit" name="submit" class="btn accent">' . $button . '</button>
        '.$delbutton.'
    </div>
</form>';
